<div>
  <div class="row justify-content-between align-items-center rating-row">
    <div class="col-6">
      <h2 class="rating-text">Rating:</h2>
    </div>
    <div class="col-6" style="text-align: start">
      <ngb-rating [max]="5" [rate]="rating" [readonly]="true"></ngb-rating>
    </div>
  </div>
  <div class="row">
    <div class="col-12">
      <mat-card
        class="offer-card"
        *ngFor="let course of courses"
        [routerLink]="['/course/' + course._id]"
      >
        <div class="row">
          <div class="col">
            <mat-card-title>{{ course.name }}</mat-card-title>
          </div>
        </div>
        <div class="row align-items-center bottom-row">
          <div class="col-6">
            <div class="row align-items-center">
              <mat-icon class="material-icons">account_balance</mat-icon>
              <div class="col-sm-10">{{ course.university.name }}</div>
            </div>
          </div>
          <div class="col-3" *ngIf="!isPal">
            {{ getTutorRate(course) | currency: 'EUR' }} / hour
          </div>
          <div class="col-sm-3 request-button" [ngClass]="{ 'offset-sm-3': isPal }">
            <button
              mat-raised-button
              color="primary"
              (click)="request(course, $event)"
              [disabled]="isRequestButtonDisabled()"
            >
              {{ buttonText }}
            </button>
          </div>
        </div>
      </mat-card>
    </div>
  </div>
</div>
